(EVM only) Send Redeem Transaction with Credits Authorization Message

Endpoint to send a credits redeem transaction on EVM-based blockchains.

This endpoint processes a gasless transaction for redeeming credits. It requires a signed permit message
(contained in signedMessages.permitCredits) that was previously generated by the /evm/creditsAuthMsg endpoint.

How It Works:

  • Validates that the provided signed permit (EIP-712 signature) is correct.
  • Constructs the transaction using provided details and sends it through the appropriate EVM network provider.

Request Body:

  • merchantId (string): The ID of the merchant.
  • subtotal (Subtotal): The transaction subtotal.
  • transactionData (EvmTransactionData): Details of the transaction to be executed.
  • signedMessages (SignedMessages): Contains the signed permit message (permitCredits) for credit authorization.
  • chargebackProtectionData? (CartItemClassOmitted): Optional chargeback protection data.
  • validBefore, nonce, creditsRawAmount: Values returned by /evm/creditsAuthMsg for further verification.

Response:
Returns an object containing:

  • hash (string): The transaction hash of the submitted gasless transaction.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body with all necessary parameters to execute the gasless redeem transaction.

EVM-specific Redeem body

string
required

The ID of the merchant requesting redemption.

CurrencyCents | Cents | TokenSubtotal
required
SafeMintRedeem | ReturnedTokenIdRedeem | KnownTokenIdRedeem | NormalRedeem | TokenRedeem | DecentRedeem | ReservoirRedeem
required

(EVM only) if you want to execute an EVM transaction on a successful purchase, you can pass a transaction request here.

Gas fees for the transaction will be automatically calculated and added to the total charged to the customer. Optionally the merchant can opt to pay for these gas fees.

usdcAmount
object
signedMessages
object
required
chargebackProtectionData
array of objects
chargebackProtectionData
string
required

Values returned from getEvmCreditsAuthMsg endpoint

string
required
double
required
Headers
string

Optional device identifier provided in the request header.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json